Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::PointPerturber Class Reference

This class is a simple object for generating randomly perturbed points that are withing the NLP bounds. More...

`#include <IpEquilibrationScaling.hpp>`

Inheritance diagram for Ipopt::PointPerturber:
[legend]

## Public Member Functions
SmartPtr< Vector > | MakeNewPerturbedPoint () const
| Return a new perturbed point. More...
Constructors/Destructors
| PointPerturber (const Vector &reference_point, Number random_pert_radius, const Matrix &Px_L, const Vector &x_L, const Matrix &Px_U, const Vector &x_U)
virtual | ~PointPerturber ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| PointPerturber (const PointPerturber &)
| Copy Constructor. More...
void | operator= (const PointPerturber &)
| Overloaded Equals Operator. More...

## Private Attributes
SmartPtr< Vector > | ref_point_
| pointer to the midpoint of the perturbation More...
SmartPtr< Vector > | pert_dir_
| pointer to the perturbation vector More...

## Detailed Description

This class is a simple object for generating randomly perturbed points that are withing the NLP bounds.

The ramdon_perturb_radius gives the upper bound of the perturbation.

Definition at line 92 of file IpEquilibrationScaling.hpp.

## Constructor & Destructor Documentation

Ipopt::PointPerturber::PointPerturber | ( | const Vector & | reference_point,
|  | Number | random_pert_radius,
|  | const Matrix & | Px_L,
|  | const Vector & | x_L,
|  | const Matrix & | Px_U,
|  | const Vector & | x_U
| ) |  |

virtual Ipopt::PointPerturber::~PointPerturber | ( |  | ) |
| inline virtual

Default destructor.

Definition at line 103 of file IpEquilibrationScaling.hpp.

Ipopt::PointPerturber::PointPerturber | ( | const PointPerturber & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

SmartPtr<Vector> Ipopt::PointPerturber::MakeNewPerturbedPoint | ( |  | ) | const

Return a new perturbed point.

void Ipopt::PointPerturber::operator= | ( | const PointPerturber & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<Vector> Ipopt::PointPerturber::ref_point_
| private

pointer to the midpoint of the perturbation

Definition at line 129 of file IpEquilibrationScaling.hpp.

SmartPtr<Vector> Ipopt::PointPerturber::pert_dir_
| private

pointer to the perturbation vector

Definition at line 132 of file IpEquilibrationScaling.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/IpEquilibrationScaling.hpp